﻿namespace Hotline.Api.Realtimes
{
    public static class RealtimeMethods
    {
        #region 通讯通知
        /// <summary>
        /// 电话振铃通知
        /// </summary>
        public static string Ring = "Ring";
        /// <summary>
        /// 电话应答通知
        /// </summary>
        public static string Answered = "Answered";
        /// <summary>
        /// 电话挂断通知
        /// </summary>
        public static string Bye = "Bye";
        /// <summary>
        /// 小休审核通过通知
        /// </summary>
        public static string RestApplyPass = "RestApplyPass";
        /// <summary>
        /// 电话队列通知
        /// </summary>
        public static string CallQueue = "CallQueue";
        /// <summary>
        /// 回铃（去电）
        /// </summary>
        public static string Alert = "Alert";
        /// <summary>
        /// 话机空闲
        /// </summary>
        public static string Idle = "Idle";

        #endregion

        #region 系统信息通知

        /// <summary>
        /// 通知用户未读消息
        /// </summary>
        public static string CircularRecord = "CircularRecord";

        /// <summary>
        /// 工单补充消息通知
        /// </summary>
        public static string OrderComplementRecord = "OrderComplementRecord";

        #endregion

        #region 大屏-数据展示

        public static string BsDataShowArea1 = "BsDataShowArea1";
        public static string BsDataShowArea2 = "BsDataShowArea2";
        public static string BsDataShowArea3 = "BsDataShowArea3";
        public static string BsDataShowArea4 = "BsDataShowArea4";
        public static string BsDataShowArea5 = "BsDataShowArea5";
        public static string BsDataShowArea6 = "BsDataShowArea6";
        public static string BsDataShowArea7 = "BsDataShowArea7";
        public static string BsDataShowArea8 = "BsDataShowArea8";

        #endregion

        #region 大屏-坐席数据
        public static string BsSeatStateDataShowArea1 = "BsSeatStateDataShowArea1";
        public static string BsSeatStateDataShowArea2 = "BsSeatStateDataShowArea2";
        public static string BsSeatStateDataShowArea3 = "BsSeatStateDataShowArea3";
        public static string BsSeatStateDataShowArea4 = "BsSeatStateDataShowArea4";
        #endregion

        #region 大屏数据

        public static string OrderCountStatistics = "OrderCountStatistics";

        public static string OrderHandlingDetail = "OrderHandlingDetail";

        public static string OrderSecondaryHandlingDetail = "OrderSecondaryHandlingDetail";
        #endregion

        #region 司法大屏
        public static string EnforcementOrderHandlingDetail = "EnforcementOrderHandlingDetail";
        #endregion

        #region 话务排队信息

        public static string ToDayWaitNum = "ToDayWaitNum";

        public static string CurrentWaitNum = "CurrentWaitNum";

        #endregion
    }
}
