﻿using Hotline.Orders;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Dtos.Users;
using Hotline.Users;
using SqlSugar;

namespace Hotline.Application.Enterprise;

public interface IEnterpriseApplication
{
      ISugarQueryable<User> QueryUsersForSpecialist(UserPagedDto request);

      Task<ISugarQueryable<Order>> QueryEnterpriseSpecialistOrdersAsync(QueryOrderDto dto, CancellationToken cancellationToken);
}