﻿using Hotline.Share.Dtos.IndustryClassification;
using Hotline.Share.Requests;
using SqlSugar;

namespace Hotline.Application.IndustryClassification
{
    public interface IIndustryClassificationApplication
    {
        /// <summary>
        /// 查询行业列表
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<IndustrialManagementDto> GetIndustrialManagementList(PagedKeywordRequest dto);

        /// <summary>
        /// 行业诉求工单
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<IndustrialManagementOrderDto> GetIndustrialManagementOrderList(IndustrialManagementRequestDto dto);
    }
}
