﻿namespace Hotline.Share.Dtos.CallCenter;

public class NotifyInDto
{
    /// <summary>
    /// 应用ID
    /// </summary>
    public string AppId { get; set; }

    /// <summary>
    /// 应用密钥
    /// </summary>
    public string AppSecret { get; set; }

    /// <summary>
    /// 分机号
    /// </summary>
    public string TelNo { get; set; }

    /// <summary>
    /// 工号
    /// </summary>
    public string StaffNo { get; set; }

    /// <summary>
    /// 分机状态
    /// - '0': '签出'
    /// - '100': '签入'
    /// - '200': '空闲'
    /// - '201': '小休'
    /// - '202': '繁忙'
    /// - '300': '呼入振铃'
    /// - '301': '呼入通话'
    /// - '302': '呼出振铃'
    /// - '303': '呼出通话'
    /// - '310': '通话保持'
    /// - '320': '会议'
    /// - '330': '咨询'
    /// - '400': '整理'
    /// - '900': '注册'
    /// - '901': '注销'
    /// </summary>
    public int Status { get; set; }
}
