﻿using Hotline.Share.Enums.CallCenter;
using Hotline.Share.Requests;
using Hotline.Share.Tools;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.CallCenter
{
    public record QueryTelOperationsFixedDto : PagedKeywordRequest
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string? UserName { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        public string? StaffNo { get; set; }

        /// <summary>
        /// 工作组
        /// </summary>
        public string? GroupId { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        public int? OperateState { get; set; }

        public DateTime? StartTime { get; set; }
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 分机号
        /// </summary>
        public string? TelNo { get; set; }

    }
}
