﻿using Hotline.Share.Enums.Order;
using System;
using System.Collections.Generic;
using System.Data.SqlTypes;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.FlowEngine;
using Hotline.Share.Dtos.FlowEngine.Workflow;

namespace Hotline.Share.Dtos.Order
{
    public class AddRedoDto
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 重办理由
        /// </summary>
        public EOrderRedoReason OrderRedoReason { get; set; }

        /// <summary>
        /// 重办意见
        /// </summary>
        public string RedoOpinion { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<string> FileIds { get; set; }
    }

    public class OrderRedoStartFlowDto : StartWorkflowDto<AddRedoDto>
    {

    }
}
