﻿using Hotline.Identity.Accounts;
using Hotline.Settings;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.IndustryClassification
{
    /// <summary>
    /// 行业管理
    /// </summary>
    [Description("行业管理")]
    public class IndustrialManagement : FullStateEntity
    {
        /// <summary>
        /// 行业名称
        /// </summary>
        public string IndustrialName { get; set; }

        [Navigate(typeof(IndustryAssociations), nameof(IndustryAssociations.IndustrialManagementId), nameof(IndustryAssociations.OrganizeId))]
        public List<SystemOrganize> Orgs { get; set; }

    }
}
