﻿using Hotline.Share.Dtos.Order;
using MediatR;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Orders.Notifications
{
    /// <summary>
    /// 添加工单重办通知
    /// </summary>
    /// <param name="OrderId">工单Id</param>
    /// <param name="SourceChannel">工单来源</param>
    /// <param name="Reasons">重办原因</param>
    public record AddOrderSpecialNotify(string OrderId, string SourceChannel, List<OrderSpecialDetailDto> Reasons) : INotification;
}
