﻿using Hotline.Share.Enums.Order;

namespace Hotline.SeatShortBreak
{
    public class SeatShortBreakApply
    {
        /// <summary>
        /// 小休原因
        /// </summary>
        public string ApplyReason { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        public string? ApproveReason { get; set; }

        /// <summary>
        /// 审批状态
        /// </summary>
        public EDelayState DelayState { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string? AuditUserName { get; set; }

        /// <summary>
        /// 审核人Id
        /// </summary>
        public string? AuditUserId { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        public string? AuditOrgName { get; set; }

        /// <summary>
        /// 审核部门Id
        /// </summary>
        public string? AuditOrgId { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? AuditTime { get; set; }
    }
}
