﻿using Hotline.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot.Interfaces;
public interface IIndustryRepository : IRepository<Industry>
{
    Task<IList<dynamic>> GetDataBaseAsync();
    Task<double> GetIntervalTimeAsync(string industryId, double defaultValue, CancellationToken cancellationToken);
}
