﻿using FluentValidation;
using Hotline.Share.Requests;

namespace Hotline.Validators.Bi
{
    public class QuerySeatSwitchRequestValidator : AbstractValidator<QuerySeatSwitchRequest>
    {
        public QuerySeatSwitchRequestValidator()
        {
            RuleFor(d => d.StartTime).NotEmpty().WithMessage("请选择查询时间");
            RuleFor(d => d.EndTime).NotEmpty().WithMessage("请选择查询时间");
        }
    }
}
