﻿using FluentValidation;
using Hotline.Share.Dtos.FlowEngine.Workflow;

namespace Hotline.Validators.FlowEngine
{
    public class NextWorkflowDtoValidator : AbstractValidator<NextWorkflowDto>
    {
        public NextWorkflowDtoValidator()
        {
            Include(new BasicWorkflowDtoValidator());
            RuleFor(d => d.WorkflowId).NotEmpty();
            //RuleFor(d => d.Opinion)
            //    .Cascade(CascadeMode.Stop)
            //    .NotEmpty()
            //    .MaximumLength(4000);
            //RuleFor(d=>d.ExpiredTime).NotEmpty();
            //RuleFor(d=>d.NextStepCode).NotEmpty();
        }
    }
}
