﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XingTang.Sdk
{
    [SugarTable("call_cti_satisfaction")]
    public class XingtangSatisfaction
    {
        [SugarColumn(IsPrimaryKey = true)]
        public int Id { get; set; }
        
        /// <summary>
        /// 通话ID
        /// </summary>
        [SugarColumn(ColumnName = "callguid")]
        public string CallNo { get; set; }
        
        /// <summary>
        /// 评价结果
        /// </summary>
        public int Result { get; set; }


        #region 自建

        public bool IsSync { get; set; }

        public int Tries { get; set; }

        [SugarColumn(IsEnableUpdateVersionValidation = true)]
        public string Ver { get; set; }

        #endregion
    }
}
