﻿using Hotline.Ai.Quality;
using Hotline.Quality;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Share.Dtos.File;
using Hotline.Share.Dtos.Quality;
using Hotline.Share.Enums.Quality;
using MapsterMapper;
using Microsoft.AspNetCore.Http;
using SqlSugar;
using XF.Domain.Authentications;
using XF.Domain.Dependency;
using XF.Domain.Exceptions;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.Quality
{
	public class QualityRepository : BaseRepository<Hotline.Quality.Quality>, IQualityRepository, IScopeDependency
	{
        public QualityRepository(
			ISugarUnitOfWork<HotlineDbContext> uow,
			IDataPermissionFilterBuilder dataPermissionFilterBuilder
            , IServiceProvider serviceProvider
            ) : base(uow, dataPermissionFilterBuilder, serviceProvider)
		{}
	}
}
