﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Attributes;
public class ExportExcelAttribute : Attribute
{
    /// <summary>
    /// 文件名称
    /// </summary>
    public string FileName { get; }

    public string? TotalName { get; }

    public ExportExcelAttribute(string fileName)
    {
        FileName = fileName;
        TotalName = null;
    }
    public ExportExcelAttribute(string fileName, string? totalName)
    {
        FileName = fileName;
        TotalName = totalName;
    }
}
