﻿using Hotline.Share.Dtos.File;

namespace Hotline.Share.Dtos.FlowEngine.Workflow;

public class EndWorkflowDto
{
    /// <summary>
    /// 办理意见
    /// </summary>
    public string Opinion { get; set; } = string.Empty;

    /// <summary>
    /// 附件
    /// </summary>
    public List<FileDto> Files { get; set; } = new();
}

public class EndWorkflowIdDto : EndWorkflowDto
{
    public string WorkflowId { get; set; }
}