﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.StatisticalReport
{
    public class OrderDelayStatisicalReturnDto
    {
        /// <summary>
        /// 审批人id
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 审批人名称
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 节点名称
        /// </summary>
        public string NodeName { get; set; }

        /// <summary>
        /// 同意数量
        /// </summary>
        public int PassNum { get; set; }

        /// <summary>
        /// 不同意数量
        /// </summary>
        public int NoPassNum { get; set; }

        /// <summary>
        /// 审批数量
        /// </summary>
        public int TotalNum => PassNum + NoPassNum;
    }

    public record OrderDelayStatisicalRequestDto : PagedKeywordRequest
    {
        public string UserName { get; set; }

        /// <summary>
        /// 节点名称
        /// </summary>
        public string NodeCode { get; set; }
    }
}
