﻿
using Hotline.Orders;
using Hotline.Share.Dtos.Article;

namespace Hotline.Article
{
    public interface ICircularRecordDomainService
    {
        Task RecordUserHandle(List<string> userIds,bool isAdd,string title, string sendContent, int count = 1,CancellationToken cancellationToken = default);

        Task RecordOrgHandle(List<string> orgIds, bool isAdd,string title, string sendContent, int count = 1, CancellationToken cancellationToken= default);

        /// <summary>
        /// 内部通知（无视审核）
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task AddCircularMessage(AddCircularDto dto, CancellationToken cancellationToken = default);


        Task OrderSpecialCircularMessage(OrderSpecial special, Order order, CancellationToken cancellationToken = default);

        Task OrderSendBackCircularMessage(string userId, string userName, Order order, CancellationToken cancellationToken = default);

	}
}
