﻿using Hotline.Share.Enums.CallCenter;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.CallCenter.Tels
{
    public class TelRestApply : CreationEntity
    {
        /// <summary>
        /// 分机id
        /// </summary>
        public string? TelId { get; set; }

        /// <summary>
        /// 分机号（冗余）
        /// </summary>
        public string TelNo { get; set; }

        public string Reason { get; set; }

        public string ReasonId { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string? AuditUserName { get; set; }
        public string? AuditUserId { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        public string? AuditOrgName { get; set; }
        public string? AuditOrgId { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? AuditTime { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        [SugarColumn(ColumnDescription = "审核意见", ColumnDataType = "varchar(2000)")]
        public string? AuditOpinion { get; set; }

        /// <summary>
        /// 审核状态
        /// </summary>
        public ETelRestAuditStatus AuditStatus { get; set; }

        /// <summary>
        /// 工号（冗余）
        /// </summary>
        public string? StaffNo { get; set; }
    }
}
