﻿using Hotline.Users;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Enterprise;

/// <summary>
/// 企业专员（泸州需求）
/// </summary>
public class EnterpriseSpecialist : CreationEntity
{
    public string? ParentId { get; set; }

    [SugarColumn(IsIgnore = true , ColumnDescription = "组员")]
    public List<EnterpriseSpecialist> Children { get; set; }
    
    [Navigate(NavigateType.OneToOne, nameof(Id), nameof(User.Id))]
    public User User { get; set; }
}