﻿using SqlSugar;

namespace Hotline.IndustryClassification
{
    /// <summary>
    /// 关联部门
    /// </summary>
    public class IndustrialOrgs
    {
        /// <summary>
        /// 部门Id
        /// </summary>
        [SugarColumn(IsTreeKey = true)]
        public string OrgId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string OrgName { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        public string ParentId { get; set; }

        /// <summary>
        /// 上级名称
        /// </summary>
        public string? ParentName { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsDisable { get; set; }

        public List<IndustrialOrgs> Children { get; set; }
    }
}
