﻿using Hotline.Caching.Interfaces;
using Hotline.DI;
using Hotline.Settings.TimeLimits;
using MapsterMapper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Settings.TimeLimitDomain;

[Injection(AppScopes = EAppScope.LuZhou)]
public class LuZhouExpireTimeLimit : ExpireTimeLimitBase, ICalcExpireTime, IScopeDependency
{
    public LuZhouExpireTimeLimit(ISystemSettingCacheManager systemSettingCacheManager, IRepository<TimeLimitSetting> timeLimitSettingRepository, IExpireTimeHandler expireTimeHandler, IMapper mapper, IDaySettingCacheManager daySettingCacheManager) : base(systemSettingCacheManager, timeLimitSettingRepository, expireTimeHandler, mapper,daySettingCacheManager)
    {
    }
}

