﻿using FluentValidation;
using Hotline.Share.Requests;

namespace Hotline.Validators.Bi
{
    public class QueryOrderDelayDataListRequestValidator : AbstractValidator<QueryOrderDelayDataListRequest>
    {
        public QueryOrderDelayDataListRequestValidator()
        {
            RuleFor(d => d.StartTime).NotEmpty().WithMessage("请选择查询时间");
            RuleFor(d => d.EndTime).NotEmpty().WithMessage("请选择查询时间");
        }
    }
}
