using SqlSugar;

namespace Hotline.Tests.Dto;
[SugarTable("published")]
public class PublishedEntity
{
    [SugarColumn(IsPrimaryKey = true)]
    public long Id { get; set; }
    public string Version { get; set; }
    public string Name { get; set; }
    public string Content { get; set; }
    public int Retries { get; set; }
    public DateTime Added { get; set; }
    public DateTime? ExpiresAt { get; set; }
    public string StatusName { get; set; }
}
